<?php



class ProyectosMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ProyectosMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('PROYECTOS');
		$tMap->setPhpName('Proyectos');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('ANO_FISCAL', 'AnoFiscal', 'string', CreoleTypes::VARCHAR, false, 4);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::VARCHAR, false, 1000);

		$tMap->addForeignKey('ID_AREA_LIDER', 'IdAreaLider', 'double', CreoleTypes::NUMERIC, 'AREAS', 'ID_AREA', false, 22);

		$tMap->addColumn('VALOR_PROYECTO', 'ValorProyecto', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('CODIGO', 'Codigo', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 